Package com.xebialabs.xlrelease.configuration

# Class ExecutionLogPurgeSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.ExecutionLogPurgeSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, label="Task execution log purging", description="Release will use this setting to delete task execution logs that have been stored on the server. After deletion, task execution logs can no longer be visible or downloaded.") public class ExecutionLogPurgeSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXECUTION_LOG_SETTINGS_ID`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutionLogPurgeSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getExecutionLogsRetentionPeriod()`
  `void`
  `setExecutionLogsRetentionPeriod(Integer executionLogsRetentionPeriod)`
  `void`
  `validate()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, getTitle, hasId, isSupportedOn, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EXECUTION_LOG_SETTINGS_ID

    public static final String EXECUTION_LOG_SETTINGS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ExecutionLogPurgeSettings

    public ExecutionLogPurgeSettings()

- ## Method Details

  - ### validate

    public void validate()

  - ### getExecutionLogsRetentionPeriod

    public Integer getExecutionLogsRetentionPeriod()

  - ### setExecutionLogsRetentionPeriod

    public void setExecutionLogsRetentionPeriod(Integer executionLogsRetentionPeriod)